

#ifndef __instructions_h__
#define __instructions_h__




#include "instructions.h"
#include "virtualMachine.h"

static const uChar g_maxThreads = 255;


void instr_null(virtualMachine& vm, process& p, thread& t);
void instr_copy(virtualMachine& vm, process& proc, thread& t);
void instr_increment(virtualMachine& vm, process& proc, thread& t);
void instr_decrement(virtualMachine& vm, process& proc, thread& t);
void instr_switch(virtualMachine& vm, process& proc, thread& t);
void instr_and(virtualMachine& vm, process& proc, thread& t);
void instr_or(virtualMachine& vm, process& proc, thread& t);
void instr_spawnThread(virtualMachine& vm, process& proc, thread& t);
void instr_killThread(virtualMachine& vm, process& proc, thread& t);


#endif

